# R version 3.4.3 (2017-11-30) -- "Kite-Eating Tree"
# Copyright (C) 2017 The R Foundation for Statistical Computing
# Platform: x86_64-apple-darwin15.6.0 (64-bit)

# Figure 3.4  Simple Network Visualizaiton of Linkages among 8 Countries
rm(list = ls())

library(GGally)
library(network)
library(sna)
library('igraph')
library(cshapes)
library(foreign)
library(ggplot2)

cshp.data <- cshp()
easyeight.shp <- cshp.data[cshp.data$COWCODE%in% c(200,220,260,325,375,380,385,390),]
wmat.195 <- distmatrix(as.Date("2015-1-1"), type="mindist", tolerance=0.5, useGW=TRUE)
ee<-as.character(c(200,220,260,325,375,380,385,390))
wmat.8 <- wmat.195[ee,ee]
w8.dist<-wmat.8
w8.dist[w8.dist<=200]<-1
w8.dist[w8.dist>200]<-0
colnames(w8.dist)<-row.names(w8.dist)<-c("UK","FRN","GER","ITA","FIN","SWE","NOR","DEN")
diag(w8.dist)<-0

png(filename = "code-ch3/graphics/Fig3.4.png",
    width = 480, height = 480, units = "px", pointsize = 12,
    bg = "white")
set.seed(12345)
net.igraph <- graph_from_adjacency_matrix(w8.dist, 
                                          mode = c("undirected"),  diag = FALSE)
plot(net.igraph,vertex.label.cex=.6,
     vertex.color = "skyblue")
dev.off()


