# Chapter 3 Code for Ward & Gleditsch, Spatial Regression Models
# Sage, 2018.

# R version 3.4.3 (2017-11-30) -- "Kite-Eating Tree"
# Copyright (C) 2017 The R Foundation for Statistical Computing
# Platform: x86_64-apple-darwin15.6.0 (64-bit)

# Table 3.4
rm(list = ls())

library(network)
library(sna)
library(cshapes)


cshp.data <- cshp()
easyeight.shp <- cshp.data[cshp.data$COWCODE%in% c(200,220,260,325,375,380,385,390),]
wmat.195 <- distmatrix(as.Date("2015-1-1"), type="mindist", tolerance=0.5, useGW=TRUE)
ee<-as.character(c(200,220,260,325,375,380,385,390))
wmat.8 <- wmat.195[ee,ee]
w8.dist<-wmat.8
w8.dist[w8.dist<=200]<-1
w8.dist[w8.dist>200]<-0
colnames(w8.dist)<-row.names(w8.dist)<-c("UK","FRN","GER","ITA","FIN","SWE","NOR","DEN")
diag(w8.dist)<-0

tmp<-matrix(as.integer(w8.dist),nrow=8)
colnames(tmp)<-row.names(tmp)<-c("UK","FRN","GER","ITA","FIN","SWE","NOR","DEN")
xtable(tmp,caption="(Adjacency) Matrix Representation of Connections for 8 European
Countries.")